diff -cr avr-libc-1.2.3/include/avr/io2333.h avr-libc-work2/include/avr/io2333.h
*** avr-libc-1.2.3/include/avr/io2333.h	Tue Nov  2 00:19:54 2004
--- avr-libc-work2/include/avr/io2333.h	Sat Jun  4 18:23:50 2005
***************
*** 53,58 ****
--- 53,61 ----
  #define UBRRH	_SFR_IO8(0x03)
  
  /* ADC Data register */
+ #ifndef __ASSEMBLER__
+ #define ADC 	_SFR_IO16(0x04)
+ #endif
  #define ADCW	_SFR_IO16(0x04)
  #define ADCL	_SFR_IO8(0x04)
  #define ADCH	_SFR_IO8(0x05)
diff -cr avr-libc-1.2.3/include/avr/io43u35x.h avr-libc-work2/include/avr/io43u35x.h
*** avr-libc-1.2.3/include/avr/io43u35x.h	Sat Oct 30 01:19:22 2004
--- avr-libc-work2/include/avr/io43u35x.h	Sat Jun  4 18:22:42 2005
***************
*** 51,56 ****
--- 51,57 ----
  #ifndef __ASSEMBLER__
  #define ADC 	_SFR_IO16(0x02)
  #endif
+ #define ADCW  	_SFR_IO16(0x02)
  #define ADCL	_SFR_IO8(0x02)
  #define ADCH	_SFR_IO8(0x03)
  
diff -cr avr-libc-1.2.3/include/avr/io4433.h avr-libc-work2/include/avr/io4433.h
*** avr-libc-1.2.3/include/avr/io4433.h	Tue Nov  2 00:19:54 2004
--- avr-libc-work2/include/avr/io4433.h	Sat Jun  4 18:25:14 2005
***************
*** 53,58 ****
--- 53,61 ----
  #define UBRRH	_SFR_IO8(0x03)
  
  /* ADC Data register */
+ #ifndef __ASSEMBLER__
+ #define ADC 	_SFR_IO16(0x04)
+ #endif
  #define ADCW	_SFR_IO16(0x04)
  #define ADCL	_SFR_IO8(0x04)
  #define ADCH	_SFR_IO8(0x05)
diff -cr avr-libc-1.2.3/include/avr/io4434.h avr-libc-work2/include/avr/io4434.h
*** avr-libc-1.2.3/include/avr/io4434.h	Tue Nov  2 00:19:54 2004
--- avr-libc-work2/include/avr/io4434.h	Sat Jun  4 18:25:30 2005
***************
*** 50,55 ****
--- 50,58 ----
  /* I/O registers */
  
  /* ADC Data register */
+ #ifndef __ASSEMBLER__
+ #define ADC 	_SFR_IO16(0x04)
+ #endif
  #define ADCW	_SFR_IO16(0x04)
  #define ADCL	_SFR_IO8(0x04)
  #define ADCH	_SFR_IO8(0x05)
diff -cr avr-libc-1.2.3/include/avr/io8534.h avr-libc-work2/include/avr/io8534.h
*** avr-libc-1.2.3/include/avr/io8534.h	Tue Nov  2 01:23:56 2004
--- avr-libc-work2/include/avr/io8534.h	Sat Jun  4 18:25:54 2005
***************
*** 52,57 ****
--- 52,60 ----
  /* 0x00..0x03 reserved */
  
  /* ADC Data Register */
+ #ifndef __ASSEMBLER__
+ #define ADC 	_SFR_IO16(0x04)
+ #endif
  #define ADCW	_SFR_IO16(0x04)
  #define ADCL	_SFR_IO8(0x04)
  #define ADCH	_SFR_IO8(0x05)
diff -cr avr-libc-1.2.3/include/avr/io8535.h avr-libc-work2/include/avr/io8535.h
*** avr-libc-1.2.3/include/avr/io8535.h	Tue Nov  2 01:23:56 2004
--- avr-libc-work2/include/avr/io8535.h	Sat Jun  4 18:26:18 2005
***************
*** 50,55 ****
--- 50,58 ----
  /* I/O registers */
  
  /* ADC Data register */
+ #ifndef __ASSEMBLER__
+ #define ADC 	_SFR_IO16(0x04)
+ #endif
  #define ADCW	_SFR_IO16(0x04)
  #define ADCL	_SFR_IO8(0x04)
  #define ADCH	_SFR_IO8(0x05)
diff -cr avr-libc-1.2.3/include/avr/iocan128.h avr-libc-work2/include/avr/iocan128.h
*** avr-libc-1.2.3/include/avr/iocan128.h	Mon Nov  1 19:00:14 2004
--- avr-libc-work2/include/avr/iocan128.h	Sat Jun  4 18:26:52 2005
***************
*** 214,219 ****
--- 214,220 ----
  #ifndef __ASSEMBLER__
  #define ADC    _SFR_MEM16(0x78)
  #endif
+ #define ADCW   _SFR_MEM16(0x78)
  #define ADCL   _SFR_MEM8(0x78)
  #define ADCH   _SFR_MEM8(0x79)
  
diff -cr avr-libc-1.2.3/include/avr/iom103.h avr-libc-work2/include/avr/iom103.h
*** avr-libc-1.2.3/include/avr/iom103.h	Tue Nov  2 01:23:56 2004
--- avr-libc-work2/include/avr/iom103.h	Sat Jun  4 18:29:52 2005
***************
*** 62,67 ****
--- 62,70 ----
  #define PORTE	_SFR_IO8(0x03)
  
  /* ADC Data Register */
+ #ifndef __ASSEMBLER__
+ #define ADC 	_SFR_IO16(0x04)
+ #endif
  #define ADCW	_SFR_IO16(0x04)
  #define ADCL	_SFR_IO8(0x04)
  #define ADCH	_SFR_IO8(0x05)
diff -cr avr-libc-1.2.3/include/avr/iom16.h avr-libc-work2/include/avr/iom16.h
*** avr-libc-1.2.3/include/avr/iom16.h	Fri Jan  7 02:26:50 2005
--- avr-libc-work2/include/avr/iom16.h	Sat Jun  4 18:28:32 2005
***************
*** 73,80 ****
  #define TWDR    _SFR_IO8(0x03)
  
  /* Combine ADCL and ADCH */
! #define ADC     _SFR_IO16(0x04)
! 
  #define ADCL    _SFR_IO8(0x04)
  #define ADCH    _SFR_IO8(0x05)
  
--- 73,82 ----
  #define TWDR    _SFR_IO8(0x03)
  
  /* Combine ADCL and ADCH */
! #ifndef __ASSEMBLER__
! #define ADC 	_SFR_IO16(0x04)
! #endif
! #define ADCW	_SFR_IO16(0x04)
  #define ADCL    _SFR_IO8(0x04)
  #define ADCH    _SFR_IO8(0x05)
  
diff -cr avr-libc-1.2.3/include/avr/iom163.h avr-libc-work2/include/avr/iom163.h
*** avr-libc-1.2.3/include/avr/iom163.h	Tue Nov  2 01:23:56 2004
--- avr-libc-work2/include/avr/iom163.h	Sat Jun  4 18:30:58 2005
***************
*** 55,60 ****
--- 55,63 ----
  #define TWDR	_SFR_IO8(0x03)
  
  /* ADC */
+ #ifndef __ASSEMBLER__
+ #define ADC 	_SFR_IO16(0x04)
+ #endif
  #define ADCW	_SFR_IO16(0x04)
  #define ADCL	_SFR_IO8(0x04)
  #define ADCH	_SFR_IO8(0x05)
diff -cr avr-libc-1.2.3/include/avr/iom165.h avr-libc-work2/include/avr/iom165.h
*** avr-libc-1.2.3/include/avr/iom165.h	Fri Oct 29 22:21:42 2004
--- avr-libc-work2/include/avr/iom165.h	Sat Jun  4 18:31:44 2005
***************
*** 318,325 ****
  /* Reserved [0x71..0x77] */
  
  /* Combine ADCL and ADCH */
  #define ADC     _SFR_MEM16(0x78)
! 
  #define ADCL    _SFR_MEM8(0x78)
  #define ADCH    _SFR_MEM8(0x79)
  
--- 318,327 ----
  /* Reserved [0x71..0x77] */
  
  /* Combine ADCL and ADCH */
+ #ifndef __ASSEMBLER__
  #define ADC     _SFR_MEM16(0x78)
! #endif
! #define ADCW    _SFR_MEM16(0x78)
  #define ADCL    _SFR_MEM8(0x78)
  #define ADCH    _SFR_MEM8(0x79)
  
diff -cr avr-libc-1.2.3/include/avr/iom169.h avr-libc-work2/include/avr/iom169.h
*** avr-libc-1.2.3/include/avr/iom169.h	Thu Dec 30 21:55:32 2004
--- avr-libc-work2/include/avr/iom169.h	Sat Jun  4 18:32:14 2005
***************
*** 203,208 ****
--- 203,209 ----
  #ifndef __ASSEMBLER__
  #define ADC    _SFR_MEM16(0x78)
  #endif
+ #define ADCW   _SFR_MEM16(0x78)
  #define ADCL   _SFR_MEM8(0x78)
  #define ADCH   _SFR_MEM8(0x79)
  
diff -cr avr-libc-1.2.3/include/avr/iom323.h avr-libc-work2/include/avr/iom323.h
*** avr-libc-1.2.3/include/avr/iom323.h	Tue Nov  2 01:23:56 2004
--- avr-libc-work2/include/avr/iom323.h	Sat Jun  4 18:32:46 2005
***************
*** 56,61 ****
--- 56,64 ----
  #define TWDR	_SFR_IO8(0x03)
  
  /* ADC */
+ #ifndef __ASSEMBLER__
+ #define ADC 	_SFR_IO16(0x04)
+ #endif
  #define ADCW	_SFR_IO16(0x04)
  #define ADCL	_SFR_IO8(0x04)
  #define ADCH	_SFR_IO8(0x05)
diff -cr avr-libc-1.2.3/include/avr/iom325.h avr-libc-work2/include/avr/iom325.h
*** avr-libc-1.2.3/include/avr/iom325.h	Fri Oct 29 22:21:42 2004
--- avr-libc-work2/include/avr/iom325.h	Sat Jun  4 18:34:54 2005
***************
*** 313,320 ****
  /* Reserved [0x71..0x77] */
  
  /* Combine ADCL and ADCH */
  #define ADC     _SFR_MEM16(0x78)
! 
  #define ADCL    _SFR_MEM8(0x78)
  #define ADCH    _SFR_MEM8(0x79)
  
--- 313,322 ----
  /* Reserved [0x71..0x77] */
  
  /* Combine ADCL and ADCH */
+ #ifndef __ASSEMBLER__
  #define ADC     _SFR_MEM16(0x78)
! #endif
! #define ADCW    _SFR_MEM16(0x78)
  #define ADCL    _SFR_MEM8(0x78)
  #define ADCH    _SFR_MEM8(0x79)
  
diff -cr avr-libc-1.2.3/include/avr/iom3250.h avr-libc-work2/include/avr/iom3250.h
*** avr-libc-1.2.3/include/avr/iom3250.h	Fri Oct 29 22:21:42 2004
--- avr-libc-work2/include/avr/iom3250.h	Sat Jun  4 18:35:02 2005
***************
*** 336,343 ****
  /* Reserved [0x74..0x77] */
  
  /* Combine ADCL and ADCH */
  #define ADC     _SFR_MEM16(0x78)
! 
  #define ADCL    _SFR_MEM8(0x78)
  #define ADCH    _SFR_MEM8(0x79)
  
--- 336,345 ----
  /* Reserved [0x74..0x77] */
  
  /* Combine ADCL and ADCH */
+ #ifndef __ASSEMBLER__
  #define ADC     _SFR_MEM16(0x78)
! #endif
! #define ADCW    _SFR_MEM16(0x78)
  #define ADCL    _SFR_MEM8(0x78)
  #define ADCH    _SFR_MEM8(0x79)
  
diff -cr avr-libc-1.2.3/include/avr/iom645.h avr-libc-work2/include/avr/iom645.h
*** avr-libc-1.2.3/include/avr/iom645.h	Fri Oct 29 22:21:42 2004
--- avr-libc-work2/include/avr/iom645.h	Sat Jun  4 18:34:58 2005
***************
*** 313,320 ****
  /* Reserved [0x71..0x77] */
  
  /* Combine ADCL and ADCH */
  #define ADC     _SFR_MEM16(0x78)
! 
  #define ADCL    _SFR_MEM8(0x78)
  #define ADCH    _SFR_MEM8(0x79)
  
--- 313,322 ----
  /* Reserved [0x71..0x77] */
  
  /* Combine ADCL and ADCH */
+ #ifndef __ASSEMBLER__
  #define ADC     _SFR_MEM16(0x78)
! #endif
! #define ADCW    _SFR_MEM16(0x78)
  #define ADCL    _SFR_MEM8(0x78)
  #define ADCH    _SFR_MEM8(0x79)
  
diff -cr avr-libc-1.2.3/include/avr/iom6450.h avr-libc-work2/include/avr/iom6450.h
*** avr-libc-1.2.3/include/avr/iom6450.h	Fri Oct 29 22:21:42 2004
--- avr-libc-work2/include/avr/iom6450.h	Sat Jun  4 18:35:04 2005
***************
*** 336,343 ****
  /* Reserved [0x74..0x77] */
  
  /* Combine ADCL and ADCH */
  #define ADC     _SFR_MEM16(0x78)
! 
  #define ADCL    _SFR_MEM8(0x78)
  #define ADCH    _SFR_MEM8(0x79)
  
--- 336,345 ----
  /* Reserved [0x74..0x77] */
  
  /* Combine ADCL and ADCH */
+ #ifndef __ASSEMBLER__
  #define ADC     _SFR_MEM16(0x78)
! #endif
! #define ADCW    _SFR_MEM16(0x78)
  #define ADCL    _SFR_MEM8(0x78)
  #define ADCH    _SFR_MEM8(0x79)
  
diff -cr avr-libc-1.2.3/include/avr/iom8.h avr-libc-work2/include/avr/iom8.h
*** avr-libc-1.2.3/include/avr/iom8.h	Tue Nov  2 01:23:56 2004
--- avr-libc-work2/include/avr/iom8.h	Sat Jun  4 18:27:54 2005
***************
*** 58,64 ****
  /* ADC */
  #define ADCW	_SFR_IO16(0x04)
  #ifndef __ASSEMBLER__
! #define ADC	_SFR_IO16(0x04)
  #endif
  #define ADCL	_SFR_IO8(0x04)
  #define ADCH	_SFR_IO8(0x05)
--- 58,64 ----
  /* ADC */
  #define ADCW	_SFR_IO16(0x04)
  #ifndef __ASSEMBLER__
! #define ADC	    _SFR_IO16(0x04)
  #endif
  #define ADCL	_SFR_IO8(0x04)
  #define ADCH	_SFR_IO8(0x05)
diff -cr avr-libc-1.2.3/include/avr/iotn15.h avr-libc-work2/include/avr/iotn15.h
*** avr-libc-1.2.3/include/avr/iotn15.h	Tue Nov  2 01:23:56 2004
--- avr-libc-work2/include/avr/iotn15.h	Sat Jun  4 18:43:16 2005
***************
*** 55,60 ****
--- 55,63 ----
  
  /* 0x00..0x03 reserved */
  
+ #ifndef __ASSEMBLER__
+ #define ADC     _SFR_IO16 (0x04)
+ #endif
  #define ADCW	_SFR_IO16(0x04)
  #define ADCL	_SFR_IO8(0x04)
  #define ADCH	_SFR_IO8(0x05)
